[Gmod-ajax] setup.sh problem

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[Gmod-ajax] setup.sh problem

cikAlal
Hi,

I am using CentOS 6.4. I've tried to install Jbrowse but I faced a problem when running setup.sh. This messages appeared:

---------------------------------------------------------------------
Installing Perl prerequisites ... done.

Formatting Volvox example data ... done.
To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

Formatting Yeast example data ... done.
To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Building and installing legacy wiggle format support (superseded by BigWig tracks) ... done.

Building and installing legacy bam-to-json.pl support (superseded by direct BAM tracks) ...

---------------------------------------------------------------------

However, when it comes to Building and installing legacy bam-to-json.pl support (superseded by direct BAM tracks), it hang there. No result either done r failed, even I left it for some hours. Can somebody help me here? Attached is the logfile.

Thanks in advance.

------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=157005751&iu=/4140/ostg.clktrk
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

setup.log (191K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: setup.sh problem

Colin
There was another user who had a similar problem here:

https://github.com/GMOD/jbrowse/issues/501#issuecomment-63743459

Basically the issue was that an older version of BioPerl was installed on the machine. JBrowse will automatically install bioperl using setup.sh, and it gets conflicted with the old version (that is a very old version at that, 1.6.0)


-Colin

On Wed, Nov 19, 2014 at 9:17 PM, Suhaila Sulaiman <[hidden email]> wrote:
Hi,

I am using CentOS 6.4. I've tried to install Jbrowse but I faced a problem when running setup.sh. This messages appeared:

---------------------------------------------------------------------
Installing Perl prerequisites ... done.

Formatting Volvox example data ... done.
To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

Formatting Yeast example data ... done.
To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Building and installing legacy wiggle format support (superseded by BigWig tracks) ... done.

Building and installing legacy bam-to-json.pl support (superseded by direct BAM tracks) ...

---------------------------------------------------------------------

However, when it comes to Building and installing legacy bam-to-json.pl support (superseded by direct BAM tracks), it hang there. No result either done r failed, even I left it for some hours. Can somebody help me here? Attached is the logfile.

Thanks in advance.

------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=157005751&iu=/4140/ostg.clktrk
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=157005751&iu=/4140/ostg.clktrk
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: setup.sh problem

Robert Buels-2
Most users don't need the legacy BAM support, and can ignore it if it fails.  You only need it if you plan to use bam-to-json.pl.

On Wed, Nov 26, 2014 at 1:28 PM, Colin <[hidden email]> wrote:
There was another user who had a similar problem here:

https://github.com/GMOD/jbrowse/issues/501#issuecomment-63743459

Basically the issue was that an older version of BioPerl was installed on the machine. JBrowse will automatically install bioperl using setup.sh, and it gets conflicted with the old version (that is a very old version at that, 1.6.0)


-Colin

On Wed, Nov 19, 2014 at 9:17 PM, Suhaila Sulaiman <[hidden email]> wrote:
Hi,

I am using CentOS 6.4. I've tried to install Jbrowse but I faced a problem when running setup.sh. This messages appeared:

---------------------------------------------------------------------
Installing Perl prerequisites ... done.

Formatting Volvox example data ... done.
To see the volvox example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/volvox.

Formatting Yeast example data ... done.
To see the yeast example data, browse to http://your.jbrowse.root/index.html?data=sample_data/json/yeast.

Building and installing legacy wiggle format support (superseded by BigWig tracks) ... done.

Building and installing legacy bam-to-json.pl support (superseded by direct BAM tracks) ...

---------------------------------------------------------------------

However, when it comes to Building and installing legacy bam-to-json.pl support (superseded by direct BAM tracks), it hang there. No result either done r failed, even I left it for some hours. Can somebody help me here? Attached is the logfile.

Thanks in advance.

------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=157005751&iu=/4140/ostg.clktrk
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=157005751&iu=/4140/ostg.clktrk
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=157005751&iu=/4140/ostg.clktrk
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax